core::dbus::Codec< com::lomiri::location::Position > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::lomiri::location::Position >:

## Public Types

typedef com::lomiri::location::Position::Accuracy::Horizontal | HorizontalAccuracy
typedef com::lomiri::location::Position::Accuracy::Vertical | VerticalAccuracy

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const com::lomiri::location::Position &in)
static void | decode_argument (Message::Reader &reader, com::lomiri::location::Position &in)

## Detailed Description

Definition at line 169 of file codec.h.

## Member Typedef Documentation

## HorizontalAccuracy

typedef com::lomiri::location::Position::Accuracy::Horizontal core::dbus::Codec< com::lomiri::location::Position >::HorizontalAccuracy

Definition at line 171 of file codec.h.

## VerticalAccuracy

typedef com::lomiri::location::Position::Accuracy::Vertical core::dbus::Codec< com::lomiri::location::Position >::VerticalAccuracy

Definition at line 172 of file codec.h.

## Member Function Documentation

## decode_argument()

void core::dbus::Codec< com::lomiri::location::Position >::decode_argument | ( | Message::Reader & | reader,
|  | com::lomiri::location::Position & | in )

inline static

Definition at line 184 of file codec.h.

References com::lomiri::location::Position::accuracy, com::lomiri::location::Position::altitude, decode_argument(), com::lomiri::location::Position::Accuracy::horizontal, com::lomiri::location::Position::latitude, com::lomiri::location::Position::longitude, and com::lomiri::location::Position::Accuracy::vertical.

Referenced by decode_argument().

Here is the call graph for this function:

## encode_argument()

void core::dbus::Codec< com::lomiri::location::Position >::encode_argument | ( | Message::Writer & | writer,
|  | const com::lomiri::location::Position & | in )

inline static

Definition at line 174 of file codec.h.

References com::lomiri::location::Position::accuracy, com::lomiri::location::Position::altitude, encode_argument(), com::lomiri::location::Position::Accuracy::horizontal, com::lomiri::location::Position::latitude, com::lomiri::location::Position::longitude, and com::lomiri::location::Position::Accuracy::vertical.

Referenced by encode_argument().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- codec.h